NEログインaccess_token取得
POST
/api_neauth
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'uid=xxxxxxxxxxxxxx&state=xxxxxxxxxxxxxx&client_id=xxxxxxxxx&client_secret=xxxxxxxxxxxxx' "https://api.next-engine.org/api_neauth// POST /api_neauth - NEログインaccess_token取得const params = new URLSearchParams({ access_token: '<access_token>', uid: '<uid>', state: '<state>', client_id: '<client_id>', client_secret: '<client_secret>',})const res = await fetch('https://api.next-engine.org/api_neauth', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_neauth - NEログインaccess_token取得import requests
params = { 'access_token': '<access_token>', 'uid': '<uid>', 'state': '<state>', 'client_id': '<client_id>', 'client_secret': '<client_secret>',}res = requests.post( 'https://api.next-engine.org/api_neauth', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ” Media type application/x-www-form-urlencoded
object
access_token
required
OAuth2 アクセストークン (必須)
string
refresh_token
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
string
wait_flag
同期実行フラグ。“1” 指定で処理完了を待つ
string
fields
取得するフィールドをカンマ区切りで指定 (search 系のみ)
string
offset
検索開始位置 (search 系のみ)
integer
limit
取得件数 (search 系のみ)
integer
uid
required
Uid・state取得により取得した値
string
state
required
Uid・state取得により取得した値
string
client_id
required
ネクストエンジンの「アプリを作る」 -> 該当アプリの「編集」 -> 「API」タブにあるクライアントID
string
client_secret
required
ネクストエンジンの「アプリを作る」 -> 該当アプリの「編集」 -> 「API」タブにあるクライアントシークレット
string
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
Media type application/json
object
result
required
実行結果ステータス
string
code
エラー時のエラーコード
string
message
One of:
string
Array<object>
object
access_token
更新後のアクセストークン
string
access_token_end_date
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
string
refresh_token
更新後のリフレッシュトークン
string
refresh_token_end_date
リフレッシュトークン有効期限
string
data
エンドポイント固有のレスポンスデータ
count
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
integer | string
Example
{ "access_token": "xxxxxxxxxxxxxx", "company_app_header": "xxxxxxxxxxxxxx", "company_ne_id": "xxxxxxxxxxxxxx", "company_name": "xxxxxxxxxxxxxx", "company_kana": "xxxxxxxxxxxxxx", "uid": "xxxxxxxxxxxxxx", "pic_ne_id": "xxxxxxxxxxxxxx", "pic_name": "xxxxxxxxxxxxxx", "pic_kana": "xxxxxxxxxxxxxx", "pic_mail_address": "xxxxxxxxxxxxxx", "refresh_token": "xxxxxxxxxxxxxx", "result": "success"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
Media type application/json
object
result
required
実行結果ステータス
string
code
エラー時のエラーコード
string
message
One of:
string
Array<object>
object
access_token
更新後のアクセストークン
string
access_token_end_date
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
string
refresh_token
更新後のリフレッシュトークン
string
refresh_token_end_date
リフレッシュトークン有効期限
string
data
エンドポイント固有のレスポンスデータ
count
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
integer | string
Example
{ "result": "success"}